Name:           clanbomber
Version:        2.1.1
Release:        %mkrel 3
Summary:        A free (GPL) Bomberman-like multiplayer game
License:        GPLv2
Group:          Games/Arcade
URL:		http://savannah.nongnu.org/projects/clanbomber/
Source0:        http://download.savannah.gnu.org/releases/clanbomber/%{name}-%{version}.tar.lzma
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		clanbomber-2.1.1-desktop-fix.patch
Patch1:		clanbomber-2.1.1-dirprefix.patch
Patch2:		clanbomber-2.1.1-mageia-boost-filesystem.patch
Patch3:		gcc7-fixes.patch
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(sdl) >= 1.2.0
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	gettext-devel

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

# make autoreconf happy
sed -i -e 's,dist-lzma,subdir-objects,' -e 's,-Werror,,' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

export CXXFLAGS="%optflags -pthread"
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --with-boost-libdir=%{_libdir}
%make_build

%install
%make_install

%find_lang %name

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_gamesdatadir}/applications/*.desktop %{buildroot}%{_datadir}/applications/

%files -f %name.lang
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Sat Sep 17 2022 tex - 2.1.1-3pclos2022
- rebuild against updates

* Mon Sep 27 2021 tex - 2.1.1-2pclos2021
- rebuild against updates

* Thu Jul 04 2019 tex - 2.1.1-1pclos2019
- update
